FilterResourcesAvailableEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class FilterResourcesAvailableEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.davic.mpeg.sections.FilterResourcesAvailableEvent

All Implemented Interfaces:
  Serializable

    public class FilterResourcesAvailableEvent

extends ResourceStatusEvent

This event signals that enough section filter resources for the corresponding section filter group were available at the time this event was generated. For example, if a section filter group was created with 4 filters, then this event indicates that at least 4 filters were available at the time this event was generated. Note that these filters may no longer be available at the time the application tries to attach the section filter group again. This event is a hint to the application that it is useful to try to attach the section filter group again. This event is only generated after a ForcedDisconnectedEvent has been generated and before the application has successfully attached the section filter group again.

See Also:
  Serialized Form

Constructor Summary
`FilterResourcesAvailableEvent(SectionFilterGroup f)` This constructs a FilterResourcesAvailableEvent for the specified SectionFilterGroup object.

Method Summary
`Object` | `getSource()` This returns the SectionFilterGroup object for which enough filter resources were available at the time this event was generated.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterResourcesAvailableEvent

    public FilterResourcesAvailableEvent(SectionFilterGroup f)

  This constructs a FilterResourcesAvailableEvent for the specified SectionFilterGroup object.

  Parameters:
    `f` - the SectionFilterGroup

Method Detail

### getSource

    public Object getSource()

  This returns the SectionFilterGroup object for which enough filter resources were available at the time this event was generated.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    the object whose status changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD